//
//  Constants.swift
//  WherePrayerView
//
//  Created by Jeff Shulman on 7/27/17.
//  Copyright © 2017 Lighthouse Woods LLC All rights reserved.
//

import Foundation
import CoreLocation
import CoreGraphics

struct Constants {
    // Golden ratio
    static let ɸ                                = (1 + sqrt(5))/2
    
    // One day in seconds
    static let OneDay: TimeInterval             = 24 * 60 * 60
    
    struct Maps {
        static let AddressMapWidth                              = 800
        static let CalloutMapWidth                              = 150
        static let CalloutPrayerLineCount                       = 6
        static let PostcardMapWidth                             = 512
        static let PublicPrayerRadius : CLLocationDistance      = 5000
        static let EditLocationRadius : CLLocationDistance      = 300

        struct ImageDistance {
            static let LandmarkPrayer : CLLocationDistance  = 200
            static let PrivatePrayer : CLLocationDistance   = 150
            static let PublicPrayer : CLLocationDistance    = 8000
        }
    }
}

