//
//  CoreLocation+Extensions.swift
//  WherePrayer
//
//  Created by Jeff Shulman on 8/10/17.
//  Copyright © 2017 Lighthouse Woods LLC All rights reserved.
//
//  Some useful extensions to CoreLocation

import CoreLocation

extension CLLocationCoordinate2D: Hashable {
    public func hash(into hasher: inout Hasher) {
        hasher.combine(latitude)
        hasher.combine(longitude)
    }
    
    public var location: CLLocation {
        get {
            return CLLocation(latitude: latitude, longitude: longitude)
        }
    }
    
    static public func ==(lhs: CLLocationCoordinate2D, rhs: CLLocationCoordinate2D) -> Bool {
        // Return true if close enough to be considered equal
        let deltaLat = fabs(lhs.latitude - rhs.latitude)
        let deltaLon = fabs(lhs.longitude - rhs.longitude)
        return (deltaLat <= 0.00001) && (deltaLon <= 0.00001)
    }
}

