//
//  DependencyRegistryModel.swift
//  WherePrayerModel
//
//  Created by Jeff Shulman on 8/9/17.
//  Copyright © 2017 Lighthouse Woods LLC All rights reserved.
//
//  Global across the entire app

import Foundation
import Swinject

public protocol DependencyRegistryModel: DependencyRegistry {
}

// MARK: - Registration
public extension DependencyRegistryModel {
    func registerModels() {
        container.register( LocalDataLayer.self ) { r in LocalDataLayerRealmImpl(inMemory:false) }.inObjectScope(.container)

    }
}

//MARK: - Model Methods
public extension DependencyRegistryModel {
    func makeLocalDataLayer() -> LocalDataLayer {
        guard let localDataLayer = threadSafeContainer.resolve(LocalDataLayer.self) else {
            fatalError("No LocalDataLayer")
        }
        
        return localDataLayer
    }
}
