//
//  LocalDataLayerError.swift
//  WherePrayerUtils
//
//  Created by Jeff Shulman on 11/4/17.
//  Copyright © 2017 Lighthouse Woods LLC All rights reserved.
//

import Foundation

public enum LocalDataLayerError: LocalizedError {
    case noSelfReference(String)    // Function name
    case clearFailed(Error)
    case countItemsFailed(Error)
    case noDatabase(Error)

    public var errorDescription: String? {
        switch self {
        case .noSelfReference(let name):
            return String(format: "Internal error: No self reference %@", name)

        case .clearFailed(let err):
            return String(format: "Clear database failed: %@", err.localizedDescription)
            
        case .countItemsFailed(let err):
            return String(format: "Count items failed: %@", err.localizedDescription)

        case .noDatabase(let err):
            return String(format: "Could not access/create database: %@", err.localizedDescription)
        }
    }
}

