//
//  MockDependencyRegistryModel.swift
//
//  Created by Jeff Shulman on 8/10/17.
//  Copyright © 2017 Lighthouse Woods LLC All rights reserved.
//
//  DependencyRegistry with memory Realm context

import Foundation
import Swinject
import RealmBug

class MockDependencyRegistryModel: DependencyRegistryModel {
    var container: Container
    var threadSafeContainer: Resolver

    required init(container: Container, inMemory: Bool = true, passThruRemote: Bool = false) {
        Container.loggingFunction = nil
        
        self.container = container
        self.threadSafeContainer = container.synchronize()
        
        registerModels(inMemory: inMemory, passThruRemote: passThruRemote)
    }
    
    func registerModels(inMemory: Bool, passThruRemote: Bool) {
        container.register( LocalDataLayer.self ) { r in MockLocalDataLayer(inMemory:inMemory) }.inObjectScope(.container)
    }
}

