//
//  MockLocalDataLayer.swift
//  WherePrayerModelTests
//
//  Created by Jeff Shulman on 8/12/17.
//  Copyright © 2017 Lighthouse Woods LLC All rights reserved.
//
//  A mock version of LocalDataLayerRealmImpl that we can instrument for test purposes

import Foundation
import CloudKit
import RealmSwift
@testable import RealmBug

class MockLocalDataLayer: LocalDataLayer {
    private var passThru: LocalDataLayerRealmImpl?
    
    // Init with a passthru
    init(inMemory: Bool) {
        passThru = LocalDataLayerRealmImpl(inMemory: inMemory, testRealm: MockRealm.self)
    }
    
    // Init with no passthru
    init() {
        passThru = nil
    }
    
    func asyncOperationsCompleted() -> Bool {
        if passThru != nil {
            return passThru!.asyncOperationsCompleted()
        }
        else {
            return true
        }
    }

    func realm() throws -> RealmProtocol {
        if passThru != nil {
            return try passThru!.realm()
        }
        else {
            return try Realm()
        }
    }
}
